Subject: Re: [RFC][PATCH] net: arinc429: Add ARINC-429 stack

From: Marek Vasut <[email-masked]>
Date: Tue, 3 Nov 2015 18:33:27 +0100

On Tuesday, November 03, 2015 at 05:56:53 PM, Aleksander Morgado wrote:
> On Tue, Nov 3, 2015 at 5:18 PM, Aleksander Morgado
> 
> <[email-masked]> wrote:
> > On Tue, Nov 3, 2015 at 4:19 PM, Marek Vasut <[email-masked]> wrote:
> >>> , or the duplex TX/RX setup for channels
> >>> (channels are either RX or TX, not both), or the local
> >>> echoing/loopback (which wouldn't make much sense for TX-only
> >>> channels).
> >> 
> >> Aren't the RX-only/TX-only channels rather a special case ?
> > 
> > They're actually the only case AFAIK. You've got systems generating
> > streams of ARINC429 words (e.g. the IRS, the FMC...) and systems that
> > may consume the streams from multiple independent channels (e.g. the
> > IFE). I try to think of each logical bus as a single transmitter
> > broadcasting to multiple receivers.
> 
> I've re-checked the spec and it does say that there may be systems
> that act as source (TX) and sink (RX), e.g. DME, VOR or ILS. But in
> those cases, they will actually have separate TX and RX physical
> ports.

So, considering that hi3593 which as 2x RX and 1x TX port, what about
registering one device per port and be done with it ?

Best regards,
Marek Vasut